function checkRule(){
    return {
        "xxxgrp.rec.amt":[
            {"required":true,"message":"必输项",trigger: "blur"},
            {"max":24,"message":"超长",trigger: "blur"},
            {"validator":function(rule, value, callback, source){
              // 获取表单中的用户名和密码
              debugger;
              var cur = this.model.xxxgrp.rec.cur;
              // 检查用户名和密码的组合
              if (cur == 'JPY') {
                console.log("币种是日元123");
                callback(new Error('币种是日元'));
              } else {
                callback();
              }
            },trigger: "blur"}
        ],
        "xxxgrp.rec.nam":[
            {required:true,pattern:/^\w+$/g,message:"名称必填，必须是字母数字下划线的最长5个字符"},
            {pattern:/^\w+$/g,message:'123'},
            {max:5,message:'456'}
        ]
    }
}